Unipile Accounts List
curl --request GET \
--url https://api.aisa.one/apis/v1/unipile/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/unipile/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/unipile/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/unipile/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/unipile/accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/unipile/accounts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/unipile/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"cursor": "<unknown>",
"items": [
{
"connection_params": {
"call": {
"phone_number": "<string>",
"sim_serial_number": "<string>"
},
"im": {
"phone_number": "<string>",
"sim_serial_number": "<string>"
}
},
"created_at": "2025-12-31T23:59:59.999Z",
"groups": [
"<string>"
],
"id": "<string>",
"name": "<string>",
"object": "Account",
"sources": [
{
"id": "<string>",
"status": "OK"
}
],
"type": "MOBILE",
"current_signature": "<string>",
"last_fetched_at": "2025-12-31T23:59:59.999Z",
"signatures": [
{
"content": "<string>",
"title": "<string>"
}
]
}
],
"object": "AccountList",
"status_counts": {
"CONNECTING": 123,
"CREDENTIALS": 123,
"OK": 123,
"STOPPED": 123
},
"total_count": 123
}Unipile (LinkedIn)
Unipile Accounts List
List connected Unipile accounts with provider/status filters. Platform-internal: drives binding sync and account health views.
<!-- aisa-pricing:start -->
Published reference price: $0.001 USD per successful request. Account-specific pricing and final settlement may differ.
<!-- aisa-pricing:end -->
GET
https://api.aisa.one
/
apis
/
v1
/
unipile
/
accounts
Unipile Accounts List
curl --request GET \
--url https://api.aisa.one/apis/v1/unipile/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/unipile/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/unipile/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/unipile/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/unipile/accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/unipile/accounts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/unipile/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"cursor": "<unknown>",
"items": [
{
"connection_params": {
"call": {
"phone_number": "<string>",
"sim_serial_number": "<string>"
},
"im": {
"phone_number": "<string>",
"sim_serial_number": "<string>"
}
},
"created_at": "2025-12-31T23:59:59.999Z",
"groups": [
"<string>"
],
"id": "<string>",
"name": "<string>",
"object": "Account",
"sources": [
{
"id": "<string>",
"status": "OK"
}
],
"type": "MOBILE",
"current_signature": "<string>",
"last_fetched_at": "2025-12-31T23:59:59.999Z",
"signatures": [
{
"content": "<string>",
"title": "<string>"
}
]
}
],
"object": "AccountList",
"status_counts": {
"CONNECTING": 123,
"CREDENTIALS": 123,
"OK": 123,
"STOPPED": 123
},
"total_count": 123
}Currently disabled.
Request contract
- Method and path: GET /apis/v1/unipile/accounts
- Availability: disabled
- Request URL template:
https://api.aisa.one/apis/v1/unipile/accounts - cursor: query; optional
- limit: query; optional
- Runtime facts: 00b882f06149b4c72a4dc077c20cc1c4d86d5a8da50fcc725538d6debed194ac
{
"operationId": "get_unipile_accounts",
"method": "GET",
"path": "/apis/v1/unipile/accounts",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"in": "query",
"name": "cursor",
"required": false,
"schema": {
"description": "A cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved.",
"minLength": 1,
"title": "CursorParam",
"type": "string"
}
},
{
"in": "query",
"name": "limit",
"required": false,
"schema": {
"description": "A limit for the number of items returned in the response. The value can be set between 1 and 250.",
"example": 100,
"maximum": 250,
"minimum": 1,
"type": "integer"
}
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "disabled",
"x-aisa-pricing": {
"cost_contract": "fixed_success",
"customer_pricing": "fixed_success",
"default_request_estimate_usd": 0.001,
"estimate_source": "profile_seed",
"evidence_source": "request_snapshot"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Published reference price: $0.001 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.001
- Cost contract: fixed_success
- Settlement evidence source: request_snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved.
Minimum string length:
1A limit for the number of items returned in the response. The value can be set between 1 and 250.
Required range:
1 <= x <= 250Example:
100
Response
OK. Request succeeded.
items
(Mobile · object | Mail · object | Google · object | ICloud · object | Outlook · object | Google Calendar · object | Whatsapp · object | Linkedin · object | Slack · object | Twitter · object | Exchange · object | Telegram · object | Instagram · object | Messenger · object)[]
required
- Mobile
- Mail
- Google
- ICloud
- Outlook
- Google Calendar
- Whatsapp
- Linkedin
- Slack
- Twitter
- Exchange
- Telegram
- Instagram
- Messenger
Show child attributes
Show child attributes
Available options:
AccountList Show child attributes
Show child attributes